package com.inspect.ivs.view;

import com.inspect.ivs.domain.MediaAddr;
import java.io.Serializable;

public class IvsStartRealPlayView implements Serializable {
   private MediaAddr mediaAddrSrc;
   private String handle;
   private String encryKey;
   private String crypto;

   public MediaAddr getMediaAddrSrc() {
      return this.mediaAddrSrc;
   }

   public String getHandle() {
      return this.handle;
   }

   public String getEncryKey() {
      return this.encryKey;
   }

   public String getCrypto() {
      return this.crypto;
   }

   public void setMediaAddrSrc(MediaAddr mediaAddrSrc) {
      this.mediaAddrSrc = mediaAddrSrc;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public void setEncryKey(String encryKey) {
      this.encryKey = encryKey;
   }

   public void setCrypto(String crypto) {
      this.crypto = crypto;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsStartRealPlayView)) {
         return false;
      } else {
         IvsStartRealPlayView other = (IvsStartRealPlayView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$mediaAddrSrc = this.getMediaAddrSrc();
               Object other$mediaAddrSrc = other.getMediaAddrSrc();
               if(this$mediaAddrSrc == null) {
                  if(other$mediaAddrSrc == null) {
                     break label59;
                  }
               } else if(this$mediaAddrSrc.equals(other$mediaAddrSrc)) {
                  break label59;
               }

               return false;
            }

            Object this$handle = this.getHandle();
            Object other$handle = other.getHandle();
            if(this$handle == null) {
               if(other$handle != null) {
                  return false;
               }
            } else if(!this$handle.equals(other$handle)) {
               return false;
            }

            Object this$encryKey = this.getEncryKey();
            Object other$encryKey = other.getEncryKey();
            if(this$encryKey == null) {
               if(other$encryKey != null) {
                  return false;
               }
            } else if(!this$encryKey.equals(other$encryKey)) {
               return false;
            }

            Object this$crypto = this.getCrypto();
            Object other$crypto = other.getCrypto();
            if(this$crypto == null) {
               if(other$crypto != null) {
                  return false;
               }
            } else if(!this$crypto.equals(other$crypto)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsStartRealPlayView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $mediaAddrSrc = this.getMediaAddrSrc();
      result = result * 59 + ($mediaAddrSrc == null?43:$mediaAddrSrc.hashCode());
      Object $handle = this.getHandle();
      result = result * 59 + ($handle == null?43:$handle.hashCode());
      Object $encryKey = this.getEncryKey();
      result = result * 59 + ($encryKey == null?43:$encryKey.hashCode());
      Object $crypto = this.getCrypto();
      result = result * 59 + ($crypto == null?43:$crypto.hashCode());
      return result;
   }

   public String toString() {
      return "IvsStartRealPlayView(mediaAddrSrc=" + this.getMediaAddrSrc() + ", handle=" + this.getHandle() + ", encryKey=" + this.getEncryKey() + ", crypto=" + this.getCrypto() + ")";
   }
}
